import * as AWS from "aws-sdk";
const FUNCTION_NAME = "LAMBDA_NAME";
const awsLambda = new AWS.Lambda();

async function LAMBDA_EXPORT(...args) {
  const params = {
    FunctionName: FUNCTION_NAME,
    Payload: JSON.stringify(args),
    InvocationType: "Event",
  };
  await awsLambda
    .invoke(params)
    .promise()
    .then((v) => {
      if (v.StatusCode !== 202) {
        throw new Error(
          `Lambda invocation failed: status code ${v.StatusCode}`
        );
      }
    });
}
