import * as AWS from "aws-sdk";
const FUNCTION_NAME = "LAMBDA_NAME";
const awsLambda = new AWS.Lambda();

async function LAMBDA_EXPORT(...args) {
  const params = {
    FunctionName: FUNCTION_NAME,
    Payload: JSON.stringify(args),
  };
  return JSON.parse(
    await awsLambda
      .invoke(params)
      .promise()
      .then((v) => v.Payload.toString())
  );
}

// Code that should work:
//
// import * as AWS from "aws-sdk";
// import { LambdaType } from "hof/type";
// const awsLambda = new AWS.Lambda();
//
// export const lambda: LambdaType = (metadata) => {
//   return async (...args) => {
//     const params = {
//       FunctionName: metadata.name,
//       Payload: JSON.stringify(args),
//     };
//     return JSON.parse(
//       await awsLambda
//         .invoke(params)
//         .promise()
//         .then((v) => v.Payload.toString())
//     );
//   };
// };
