export type InvocationType = "sync" | "async";

export interface LambdaConfiguration {
  name: string;
  role?: string;
  description?: string;
  invocationMethod?: InvocationType;
  timeout?: number;
  memory?: number;
  environmentVariables?: Record<string, string>;
}

export type LambdaType<T = any> = (
  config: Partial<LambdaConfiguration>,
  fn: (...args: any[]) => any
) => T;
